;
; File Name: cyfitteriar.inc
; 
; PSoC Creator  4.4
;
; Description:
; 
;
;-------------------------------------------------------------------------------
; Copyright (c) 2007-2020 Cypress Semiconductor.  All rights reserved.
; You may use this file only in accordance with the license, terms, conditions, 
; disclaimers, and limitations in the end user license agreement accompanying 
; the software package with which this file was provided.
;-------------------------------------------------------------------------------

#ifndef INCLUDED_CYFITTERIAR_INC
#define INCLUDED_CYFITTERIAR_INC
    INCLUDE cydeviceiar_trm.inc

/* UART */
UART_tx__0__DM__MASK EQU 0x38
UART_tx__0__DM__SHIFT EQU 3
UART_tx__0__DR EQU CYREG_PRT3_DR
UART_tx__0__HSIOM EQU CYREG_HSIOM_PORT_SEL3
UART_tx__0__HSIOM_MASK EQU 0x000000F0
UART_tx__0__HSIOM_SHIFT EQU 4
UART_tx__0__INTCFG EQU CYREG_PRT3_INTCFG
UART_tx__0__INTSTAT EQU CYREG_PRT3_INTSTAT
UART_tx__0__MASK EQU 0x02
UART_tx__0__PA__CFG0 EQU CYREG_UDB_PA3_CFG0
UART_tx__0__PA__CFG1 EQU CYREG_UDB_PA3_CFG1
UART_tx__0__PA__CFG10 EQU CYREG_UDB_PA3_CFG10
UART_tx__0__PA__CFG11 EQU CYREG_UDB_PA3_CFG11
UART_tx__0__PA__CFG12 EQU CYREG_UDB_PA3_CFG12
UART_tx__0__PA__CFG13 EQU CYREG_UDB_PA3_CFG13
UART_tx__0__PA__CFG14 EQU CYREG_UDB_PA3_CFG14
UART_tx__0__PA__CFG2 EQU CYREG_UDB_PA3_CFG2
UART_tx__0__PA__CFG3 EQU CYREG_UDB_PA3_CFG3
UART_tx__0__PA__CFG4 EQU CYREG_UDB_PA3_CFG4
UART_tx__0__PA__CFG5 EQU CYREG_UDB_PA3_CFG5
UART_tx__0__PA__CFG6 EQU CYREG_UDB_PA3_CFG6
UART_tx__0__PA__CFG7 EQU CYREG_UDB_PA3_CFG7
UART_tx__0__PA__CFG8 EQU CYREG_UDB_PA3_CFG8
UART_tx__0__PA__CFG9 EQU CYREG_UDB_PA3_CFG9
UART_tx__0__PC EQU CYREG_PRT3_PC
UART_tx__0__PC2 EQU CYREG_PRT3_PC2
UART_tx__0__PORT EQU 3
UART_tx__0__PS EQU CYREG_PRT3_PS
UART_tx__0__SHIFT EQU 1
UART_tx__DR EQU CYREG_PRT3_DR
UART_tx__INTCFG EQU CYREG_PRT3_INTCFG
UART_tx__INTSTAT EQU CYREG_PRT3_INTSTAT
UART_tx__MASK EQU 0x02
UART_tx__PA__CFG0 EQU CYREG_UDB_PA3_CFG0
UART_tx__PA__CFG1 EQU CYREG_UDB_PA3_CFG1
UART_tx__PA__CFG10 EQU CYREG_UDB_PA3_CFG10
UART_tx__PA__CFG11 EQU CYREG_UDB_PA3_CFG11
UART_tx__PA__CFG12 EQU CYREG_UDB_PA3_CFG12
UART_tx__PA__CFG13 EQU CYREG_UDB_PA3_CFG13
UART_tx__PA__CFG14 EQU CYREG_UDB_PA3_CFG14
UART_tx__PA__CFG2 EQU CYREG_UDB_PA3_CFG2
UART_tx__PA__CFG3 EQU CYREG_UDB_PA3_CFG3
UART_tx__PA__CFG4 EQU CYREG_UDB_PA3_CFG4
UART_tx__PA__CFG5 EQU CYREG_UDB_PA3_CFG5
UART_tx__PA__CFG6 EQU CYREG_UDB_PA3_CFG6
UART_tx__PA__CFG7 EQU CYREG_UDB_PA3_CFG7
UART_tx__PA__CFG8 EQU CYREG_UDB_PA3_CFG8
UART_tx__PA__CFG9 EQU CYREG_UDB_PA3_CFG9
UART_tx__PC EQU CYREG_PRT3_PC
UART_tx__PC2 EQU CYREG_PRT3_PC2
UART_tx__PORT EQU 3
UART_tx__PS EQU CYREG_PRT3_PS
UART_tx__SHIFT EQU 1

/* Flex1 */
Flex1__0__DM__MASK EQU 0x1C0000
Flex1__0__DM__SHIFT EQU 18
Flex1__0__DR EQU CYREG_PRT2_DR
Flex1__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
Flex1__0__HSIOM_MASK EQU 0x0F000000
Flex1__0__HSIOM_SHIFT EQU 24
Flex1__0__INTCFG EQU CYREG_PRT2_INTCFG
Flex1__0__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex1__0__MASK EQU 0x40
Flex1__0__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex1__0__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex1__0__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex1__0__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex1__0__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex1__0__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex1__0__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex1__0__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex1__0__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex1__0__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex1__0__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex1__0__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex1__0__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex1__0__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex1__0__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex1__0__PC EQU CYREG_PRT2_PC
Flex1__0__PC2 EQU CYREG_PRT2_PC2
Flex1__0__PORT EQU 2
Flex1__0__PS EQU CYREG_PRT2_PS
Flex1__0__SHIFT EQU 6
Flex1__DR EQU CYREG_PRT2_DR
Flex1__INTCFG EQU CYREG_PRT2_INTCFG
Flex1__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex1__MASK EQU 0x40
Flex1__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex1__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex1__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex1__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex1__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex1__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex1__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex1__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex1__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex1__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex1__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex1__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex1__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex1__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex1__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex1__PC EQU CYREG_PRT2_PC
Flex1__PC2 EQU CYREG_PRT2_PC2
Flex1__PORT EQU 2
Flex1__PS EQU CYREG_PRT2_PS
Flex1__SHIFT EQU 6

/* Flex2 */
Flex2__0__DM__MASK EQU 0xE00000
Flex2__0__DM__SHIFT EQU 21
Flex2__0__DR EQU CYREG_PRT2_DR
Flex2__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
Flex2__0__HSIOM_MASK EQU 0xF0000000
Flex2__0__HSIOM_SHIFT EQU 28
Flex2__0__INTCFG EQU CYREG_PRT2_INTCFG
Flex2__0__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex2__0__MASK EQU 0x80
Flex2__0__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex2__0__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex2__0__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex2__0__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex2__0__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex2__0__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex2__0__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex2__0__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex2__0__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex2__0__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex2__0__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex2__0__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex2__0__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex2__0__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex2__0__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex2__0__PC EQU CYREG_PRT2_PC
Flex2__0__PC2 EQU CYREG_PRT2_PC2
Flex2__0__PORT EQU 2
Flex2__0__PS EQU CYREG_PRT2_PS
Flex2__0__SHIFT EQU 7
Flex2__DR EQU CYREG_PRT2_DR
Flex2__INTCFG EQU CYREG_PRT2_INTCFG
Flex2__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex2__MASK EQU 0x80
Flex2__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex2__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex2__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex2__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex2__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex2__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex2__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex2__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex2__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex2__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex2__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex2__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex2__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex2__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex2__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex2__PC EQU CYREG_PRT2_PC
Flex2__PC2 EQU CYREG_PRT2_PC2
Flex2__PORT EQU 2
Flex2__PS EQU CYREG_PRT2_PS
Flex2__SHIFT EQU 7

/* Flex3 */
Flex3__0__DM__MASK EQU 0x38000
Flex3__0__DM__SHIFT EQU 15
Flex3__0__DR EQU CYREG_PRT2_DR
Flex3__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
Flex3__0__HSIOM_MASK EQU 0x00F00000
Flex3__0__HSIOM_SHIFT EQU 20
Flex3__0__INTCFG EQU CYREG_PRT2_INTCFG
Flex3__0__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex3__0__MASK EQU 0x20
Flex3__0__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex3__0__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex3__0__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex3__0__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex3__0__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex3__0__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex3__0__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex3__0__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex3__0__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex3__0__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex3__0__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex3__0__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex3__0__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex3__0__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex3__0__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex3__0__PC EQU CYREG_PRT2_PC
Flex3__0__PC2 EQU CYREG_PRT2_PC2
Flex3__0__PORT EQU 2
Flex3__0__PS EQU CYREG_PRT2_PS
Flex3__0__SHIFT EQU 5
Flex3__DR EQU CYREG_PRT2_DR
Flex3__INTCFG EQU CYREG_PRT2_INTCFG
Flex3__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex3__MASK EQU 0x20
Flex3__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex3__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex3__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex3__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex3__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex3__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex3__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex3__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex3__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex3__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex3__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex3__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex3__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex3__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex3__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex3__PC EQU CYREG_PRT2_PC
Flex3__PC2 EQU CYREG_PRT2_PC2
Flex3__PORT EQU 2
Flex3__PS EQU CYREG_PRT2_PS
Flex3__SHIFT EQU 5

/* Flex4 */
Flex4__0__DM__MASK EQU 0x7000
Flex4__0__DM__SHIFT EQU 12
Flex4__0__DR EQU CYREG_PRT2_DR
Flex4__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
Flex4__0__HSIOM_MASK EQU 0x000F0000
Flex4__0__HSIOM_SHIFT EQU 16
Flex4__0__INTCFG EQU CYREG_PRT2_INTCFG
Flex4__0__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex4__0__MASK EQU 0x10
Flex4__0__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex4__0__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex4__0__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex4__0__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex4__0__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex4__0__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex4__0__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex4__0__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex4__0__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex4__0__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex4__0__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex4__0__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex4__0__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex4__0__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex4__0__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex4__0__PC EQU CYREG_PRT2_PC
Flex4__0__PC2 EQU CYREG_PRT2_PC2
Flex4__0__PORT EQU 2
Flex4__0__PS EQU CYREG_PRT2_PS
Flex4__0__SHIFT EQU 4
Flex4__DR EQU CYREG_PRT2_DR
Flex4__INTCFG EQU CYREG_PRT2_INTCFG
Flex4__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex4__MASK EQU 0x10
Flex4__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex4__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex4__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex4__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex4__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex4__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex4__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex4__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex4__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex4__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex4__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex4__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex4__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex4__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex4__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex4__PC EQU CYREG_PRT2_PC
Flex4__PC2 EQU CYREG_PRT2_PC2
Flex4__PORT EQU 2
Flex4__PS EQU CYREG_PRT2_PS
Flex4__SHIFT EQU 4

/* Flex5 */
Flex5__0__DM__MASK EQU 0x07
Flex5__0__DM__SHIFT EQU 0
Flex5__0__DR EQU CYREG_PRT0_DR
Flex5__0__HSIOM EQU CYREG_HSIOM_PORT_SEL0
Flex5__0__HSIOM_MASK EQU 0x0000000F
Flex5__0__HSIOM_SHIFT EQU 0
Flex5__0__INTCFG EQU CYREG_PRT0_INTCFG
Flex5__0__INTSTAT EQU CYREG_PRT0_INTSTAT
Flex5__0__MASK EQU 0x01
Flex5__0__OUT_SEL EQU CYREG_UDB_PA0_CFG10
Flex5__0__OUT_SEL_SHIFT EQU 0
Flex5__0__OUT_SEL_VAL EQU 1
Flex5__0__PA__CFG0 EQU CYREG_UDB_PA0_CFG0
Flex5__0__PA__CFG1 EQU CYREG_UDB_PA0_CFG1
Flex5__0__PA__CFG10 EQU CYREG_UDB_PA0_CFG10
Flex5__0__PA__CFG11 EQU CYREG_UDB_PA0_CFG11
Flex5__0__PA__CFG12 EQU CYREG_UDB_PA0_CFG12
Flex5__0__PA__CFG13 EQU CYREG_UDB_PA0_CFG13
Flex5__0__PA__CFG14 EQU CYREG_UDB_PA0_CFG14
Flex5__0__PA__CFG2 EQU CYREG_UDB_PA0_CFG2
Flex5__0__PA__CFG3 EQU CYREG_UDB_PA0_CFG3
Flex5__0__PA__CFG4 EQU CYREG_UDB_PA0_CFG4
Flex5__0__PA__CFG5 EQU CYREG_UDB_PA0_CFG5
Flex5__0__PA__CFG6 EQU CYREG_UDB_PA0_CFG6
Flex5__0__PA__CFG7 EQU CYREG_UDB_PA0_CFG7
Flex5__0__PA__CFG8 EQU CYREG_UDB_PA0_CFG8
Flex5__0__PA__CFG9 EQU CYREG_UDB_PA0_CFG9
Flex5__0__PC EQU CYREG_PRT0_PC
Flex5__0__PC2 EQU CYREG_PRT0_PC2
Flex5__0__PORT EQU 0
Flex5__0__PS EQU CYREG_PRT0_PS
Flex5__0__SHIFT EQU 0
Flex5__DR EQU CYREG_PRT0_DR
Flex5__INTCFG EQU CYREG_PRT0_INTCFG
Flex5__INTSTAT EQU CYREG_PRT0_INTSTAT
Flex5__MASK EQU 0x01
Flex5__PA__CFG0 EQU CYREG_UDB_PA0_CFG0
Flex5__PA__CFG1 EQU CYREG_UDB_PA0_CFG1
Flex5__PA__CFG10 EQU CYREG_UDB_PA0_CFG10
Flex5__PA__CFG11 EQU CYREG_UDB_PA0_CFG11
Flex5__PA__CFG12 EQU CYREG_UDB_PA0_CFG12
Flex5__PA__CFG13 EQU CYREG_UDB_PA0_CFG13
Flex5__PA__CFG14 EQU CYREG_UDB_PA0_CFG14
Flex5__PA__CFG2 EQU CYREG_UDB_PA0_CFG2
Flex5__PA__CFG3 EQU CYREG_UDB_PA0_CFG3
Flex5__PA__CFG4 EQU CYREG_UDB_PA0_CFG4
Flex5__PA__CFG5 EQU CYREG_UDB_PA0_CFG5
Flex5__PA__CFG6 EQU CYREG_UDB_PA0_CFG6
Flex5__PA__CFG7 EQU CYREG_UDB_PA0_CFG7
Flex5__PA__CFG8 EQU CYREG_UDB_PA0_CFG8
Flex5__PA__CFG9 EQU CYREG_UDB_PA0_CFG9
Flex5__PC EQU CYREG_PRT0_PC
Flex5__PC2 EQU CYREG_PRT0_PC2
Flex5__PORT EQU 0
Flex5__PS EQU CYREG_PRT0_PS
Flex5__SHIFT EQU 0

/* Flex6 */
Flex6__0__DM__MASK EQU 0x38
Flex6__0__DM__SHIFT EQU 3
Flex6__0__DR EQU CYREG_PRT1_DR
Flex6__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
Flex6__0__HSIOM_MASK EQU 0x000000F0
Flex6__0__HSIOM_SHIFT EQU 4
Flex6__0__INTCFG EQU CYREG_PRT1_INTCFG
Flex6__0__INTSTAT EQU CYREG_PRT1_INTSTAT
Flex6__0__MASK EQU 0x02
Flex6__0__OUT_SEL EQU CYREG_UDB_PA1_CFG10
Flex6__0__OUT_SEL_SHIFT EQU 2
Flex6__0__OUT_SEL_VAL EQU 3
Flex6__0__PA__CFG0 EQU CYREG_UDB_PA1_CFG0
Flex6__0__PA__CFG1 EQU CYREG_UDB_PA1_CFG1
Flex6__0__PA__CFG10 EQU CYREG_UDB_PA1_CFG10
Flex6__0__PA__CFG11 EQU CYREG_UDB_PA1_CFG11
Flex6__0__PA__CFG12 EQU CYREG_UDB_PA1_CFG12
Flex6__0__PA__CFG13 EQU CYREG_UDB_PA1_CFG13
Flex6__0__PA__CFG14 EQU CYREG_UDB_PA1_CFG14
Flex6__0__PA__CFG2 EQU CYREG_UDB_PA1_CFG2
Flex6__0__PA__CFG3 EQU CYREG_UDB_PA1_CFG3
Flex6__0__PA__CFG4 EQU CYREG_UDB_PA1_CFG4
Flex6__0__PA__CFG5 EQU CYREG_UDB_PA1_CFG5
Flex6__0__PA__CFG6 EQU CYREG_UDB_PA1_CFG6
Flex6__0__PA__CFG7 EQU CYREG_UDB_PA1_CFG7
Flex6__0__PA__CFG8 EQU CYREG_UDB_PA1_CFG8
Flex6__0__PA__CFG9 EQU CYREG_UDB_PA1_CFG9
Flex6__0__PC EQU CYREG_PRT1_PC
Flex6__0__PC2 EQU CYREG_PRT1_PC2
Flex6__0__PORT EQU 1
Flex6__0__PS EQU CYREG_PRT1_PS
Flex6__0__SHIFT EQU 1
Flex6__DR EQU CYREG_PRT1_DR
Flex6__INTCFG EQU CYREG_PRT1_INTCFG
Flex6__INTSTAT EQU CYREG_PRT1_INTSTAT
Flex6__MASK EQU 0x02
Flex6__PA__CFG0 EQU CYREG_UDB_PA1_CFG0
Flex6__PA__CFG1 EQU CYREG_UDB_PA1_CFG1
Flex6__PA__CFG10 EQU CYREG_UDB_PA1_CFG10
Flex6__PA__CFG11 EQU CYREG_UDB_PA1_CFG11
Flex6__PA__CFG12 EQU CYREG_UDB_PA1_CFG12
Flex6__PA__CFG13 EQU CYREG_UDB_PA1_CFG13
Flex6__PA__CFG14 EQU CYREG_UDB_PA1_CFG14
Flex6__PA__CFG2 EQU CYREG_UDB_PA1_CFG2
Flex6__PA__CFG3 EQU CYREG_UDB_PA1_CFG3
Flex6__PA__CFG4 EQU CYREG_UDB_PA1_CFG4
Flex6__PA__CFG5 EQU CYREG_UDB_PA1_CFG5
Flex6__PA__CFG6 EQU CYREG_UDB_PA1_CFG6
Flex6__PA__CFG7 EQU CYREG_UDB_PA1_CFG7
Flex6__PA__CFG8 EQU CYREG_UDB_PA1_CFG8
Flex6__PA__CFG9 EQU CYREG_UDB_PA1_CFG9
Flex6__PC EQU CYREG_PRT1_PC
Flex6__PC2 EQU CYREG_PRT1_PC2
Flex6__PORT EQU 1
Flex6__PS EQU CYREG_PRT1_PS
Flex6__SHIFT EQU 1

/* Flex7 */
Flex7__0__DM__MASK EQU 0x38
Flex7__0__DM__SHIFT EQU 3
Flex7__0__DR EQU CYREG_PRT0_DR
Flex7__0__HSIOM EQU CYREG_HSIOM_PORT_SEL0
Flex7__0__HSIOM_MASK EQU 0x000000F0
Flex7__0__HSIOM_SHIFT EQU 4
Flex7__0__INTCFG EQU CYREG_PRT0_INTCFG
Flex7__0__INTSTAT EQU CYREG_PRT0_INTSTAT
Flex7__0__MASK EQU 0x02
Flex7__0__OUT_SEL EQU CYREG_UDB_PA0_CFG10
Flex7__0__OUT_SEL_SHIFT EQU 2
Flex7__0__OUT_SEL_VAL EQU 1
Flex7__0__PA__CFG0 EQU CYREG_UDB_PA0_CFG0
Flex7__0__PA__CFG1 EQU CYREG_UDB_PA0_CFG1
Flex7__0__PA__CFG10 EQU CYREG_UDB_PA0_CFG10
Flex7__0__PA__CFG11 EQU CYREG_UDB_PA0_CFG11
Flex7__0__PA__CFG12 EQU CYREG_UDB_PA0_CFG12
Flex7__0__PA__CFG13 EQU CYREG_UDB_PA0_CFG13
Flex7__0__PA__CFG14 EQU CYREG_UDB_PA0_CFG14
Flex7__0__PA__CFG2 EQU CYREG_UDB_PA0_CFG2
Flex7__0__PA__CFG3 EQU CYREG_UDB_PA0_CFG3
Flex7__0__PA__CFG4 EQU CYREG_UDB_PA0_CFG4
Flex7__0__PA__CFG5 EQU CYREG_UDB_PA0_CFG5
Flex7__0__PA__CFG6 EQU CYREG_UDB_PA0_CFG6
Flex7__0__PA__CFG7 EQU CYREG_UDB_PA0_CFG7
Flex7__0__PA__CFG8 EQU CYREG_UDB_PA0_CFG8
Flex7__0__PA__CFG9 EQU CYREG_UDB_PA0_CFG9
Flex7__0__PC EQU CYREG_PRT0_PC
Flex7__0__PC2 EQU CYREG_PRT0_PC2
Flex7__0__PORT EQU 0
Flex7__0__PS EQU CYREG_PRT0_PS
Flex7__0__SHIFT EQU 1
Flex7__DR EQU CYREG_PRT0_DR
Flex7__INTCFG EQU CYREG_PRT0_INTCFG
Flex7__INTSTAT EQU CYREG_PRT0_INTSTAT
Flex7__MASK EQU 0x02
Flex7__PA__CFG0 EQU CYREG_UDB_PA0_CFG0
Flex7__PA__CFG1 EQU CYREG_UDB_PA0_CFG1
Flex7__PA__CFG10 EQU CYREG_UDB_PA0_CFG10
Flex7__PA__CFG11 EQU CYREG_UDB_PA0_CFG11
Flex7__PA__CFG12 EQU CYREG_UDB_PA0_CFG12
Flex7__PA__CFG13 EQU CYREG_UDB_PA0_CFG13
Flex7__PA__CFG14 EQU CYREG_UDB_PA0_CFG14
Flex7__PA__CFG2 EQU CYREG_UDB_PA0_CFG2
Flex7__PA__CFG3 EQU CYREG_UDB_PA0_CFG3
Flex7__PA__CFG4 EQU CYREG_UDB_PA0_CFG4
Flex7__PA__CFG5 EQU CYREG_UDB_PA0_CFG5
Flex7__PA__CFG6 EQU CYREG_UDB_PA0_CFG6
Flex7__PA__CFG7 EQU CYREG_UDB_PA0_CFG7
Flex7__PA__CFG8 EQU CYREG_UDB_PA0_CFG8
Flex7__PA__CFG9 EQU CYREG_UDB_PA0_CFG9
Flex7__PC EQU CYREG_PRT0_PC
Flex7__PC2 EQU CYREG_PRT0_PC2
Flex7__PORT EQU 0
Flex7__PS EQU CYREG_PRT0_PS
Flex7__SHIFT EQU 1

/* Flex8 */
Flex8__0__DM__MASK EQU 0x1C0
Flex8__0__DM__SHIFT EQU 6
Flex8__0__DR EQU CYREG_PRT1_DR
Flex8__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
Flex8__0__HSIOM_MASK EQU 0x00000F00
Flex8__0__HSIOM_SHIFT EQU 8
Flex8__0__INTCFG EQU CYREG_PRT1_INTCFG
Flex8__0__INTSTAT EQU CYREG_PRT1_INTSTAT
Flex8__0__MASK EQU 0x04
Flex8__0__OUT_SEL EQU CYREG_UDB_PA1_CFG10
Flex8__0__OUT_SEL_SHIFT EQU 4
Flex8__0__OUT_SEL_VAL EQU 3
Flex8__0__PA__CFG0 EQU CYREG_UDB_PA1_CFG0
Flex8__0__PA__CFG1 EQU CYREG_UDB_PA1_CFG1
Flex8__0__PA__CFG10 EQU CYREG_UDB_PA1_CFG10
Flex8__0__PA__CFG11 EQU CYREG_UDB_PA1_CFG11
Flex8__0__PA__CFG12 EQU CYREG_UDB_PA1_CFG12
Flex8__0__PA__CFG13 EQU CYREG_UDB_PA1_CFG13
Flex8__0__PA__CFG14 EQU CYREG_UDB_PA1_CFG14
Flex8__0__PA__CFG2 EQU CYREG_UDB_PA1_CFG2
Flex8__0__PA__CFG3 EQU CYREG_UDB_PA1_CFG3
Flex8__0__PA__CFG4 EQU CYREG_UDB_PA1_CFG4
Flex8__0__PA__CFG5 EQU CYREG_UDB_PA1_CFG5
Flex8__0__PA__CFG6 EQU CYREG_UDB_PA1_CFG6
Flex8__0__PA__CFG7 EQU CYREG_UDB_PA1_CFG7
Flex8__0__PA__CFG8 EQU CYREG_UDB_PA1_CFG8
Flex8__0__PA__CFG9 EQU CYREG_UDB_PA1_CFG9
Flex8__0__PC EQU CYREG_PRT1_PC
Flex8__0__PC2 EQU CYREG_PRT1_PC2
Flex8__0__PORT EQU 1
Flex8__0__PS EQU CYREG_PRT1_PS
Flex8__0__SHIFT EQU 2
Flex8__DR EQU CYREG_PRT1_DR
Flex8__INTCFG EQU CYREG_PRT1_INTCFG
Flex8__INTSTAT EQU CYREG_PRT1_INTSTAT
Flex8__MASK EQU 0x04
Flex8__PA__CFG0 EQU CYREG_UDB_PA1_CFG0
Flex8__PA__CFG1 EQU CYREG_UDB_PA1_CFG1
Flex8__PA__CFG10 EQU CYREG_UDB_PA1_CFG10
Flex8__PA__CFG11 EQU CYREG_UDB_PA1_CFG11
Flex8__PA__CFG12 EQU CYREG_UDB_PA1_CFG12
Flex8__PA__CFG13 EQU CYREG_UDB_PA1_CFG13
Flex8__PA__CFG14 EQU CYREG_UDB_PA1_CFG14
Flex8__PA__CFG2 EQU CYREG_UDB_PA1_CFG2
Flex8__PA__CFG3 EQU CYREG_UDB_PA1_CFG3
Flex8__PA__CFG4 EQU CYREG_UDB_PA1_CFG4
Flex8__PA__CFG5 EQU CYREG_UDB_PA1_CFG5
Flex8__PA__CFG6 EQU CYREG_UDB_PA1_CFG6
Flex8__PA__CFG7 EQU CYREG_UDB_PA1_CFG7
Flex8__PA__CFG8 EQU CYREG_UDB_PA1_CFG8
Flex8__PA__CFG9 EQU CYREG_UDB_PA1_CFG9
Flex8__PC EQU CYREG_PRT1_PC
Flex8__PC2 EQU CYREG_PRT1_PC2
Flex8__PORT EQU 1
Flex8__PS EQU CYREG_PRT1_PS
Flex8__SHIFT EQU 2

/* Flex9 */
Flex9__0__DM__MASK EQU 0x1C0
Flex9__0__DM__SHIFT EQU 6
Flex9__0__DR EQU CYREG_PRT2_DR
Flex9__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
Flex9__0__HSIOM_MASK EQU 0x00000F00
Flex9__0__HSIOM_SHIFT EQU 8
Flex9__0__INTCFG EQU CYREG_PRT2_INTCFG
Flex9__0__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex9__0__MASK EQU 0x04
Flex9__0__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex9__0__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex9__0__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex9__0__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex9__0__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex9__0__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex9__0__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex9__0__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex9__0__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex9__0__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex9__0__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex9__0__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex9__0__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex9__0__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex9__0__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex9__0__PC EQU CYREG_PRT2_PC
Flex9__0__PC2 EQU CYREG_PRT2_PC2
Flex9__0__PORT EQU 2
Flex9__0__PS EQU CYREG_PRT2_PS
Flex9__0__SHIFT EQU 2
Flex9__DR EQU CYREG_PRT2_DR
Flex9__INTCFG EQU CYREG_PRT2_INTCFG
Flex9__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex9__MASK EQU 0x04
Flex9__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex9__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex9__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex9__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex9__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex9__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex9__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex9__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex9__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex9__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex9__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex9__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex9__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex9__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex9__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex9__PC EQU CYREG_PRT2_PC
Flex9__PC2 EQU CYREG_PRT2_PC2
Flex9__PORT EQU 2
Flex9__PS EQU CYREG_PRT2_PS
Flex9__SHIFT EQU 2

/* Flex10 */
Flex10__0__DM__MASK EQU 0xE00
Flex10__0__DM__SHIFT EQU 9
Flex10__0__DR EQU CYREG_PRT2_DR
Flex10__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
Flex10__0__HSIOM_MASK EQU 0x0000F000
Flex10__0__HSIOM_SHIFT EQU 12
Flex10__0__INTCFG EQU CYREG_PRT2_INTCFG
Flex10__0__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex10__0__MASK EQU 0x08
Flex10__0__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex10__0__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex10__0__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex10__0__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex10__0__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex10__0__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex10__0__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex10__0__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex10__0__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex10__0__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex10__0__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex10__0__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex10__0__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex10__0__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex10__0__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex10__0__PC EQU CYREG_PRT2_PC
Flex10__0__PC2 EQU CYREG_PRT2_PC2
Flex10__0__PORT EQU 2
Flex10__0__PS EQU CYREG_PRT2_PS
Flex10__0__SHIFT EQU 3
Flex10__DR EQU CYREG_PRT2_DR
Flex10__INTCFG EQU CYREG_PRT2_INTCFG
Flex10__INTSTAT EQU CYREG_PRT2_INTSTAT
Flex10__MASK EQU 0x08
Flex10__PA__CFG0 EQU CYREG_UDB_PA2_CFG0
Flex10__PA__CFG1 EQU CYREG_UDB_PA2_CFG1
Flex10__PA__CFG10 EQU CYREG_UDB_PA2_CFG10
Flex10__PA__CFG11 EQU CYREG_UDB_PA2_CFG11
Flex10__PA__CFG12 EQU CYREG_UDB_PA2_CFG12
Flex10__PA__CFG13 EQU CYREG_UDB_PA2_CFG13
Flex10__PA__CFG14 EQU CYREG_UDB_PA2_CFG14
Flex10__PA__CFG2 EQU CYREG_UDB_PA2_CFG2
Flex10__PA__CFG3 EQU CYREG_UDB_PA2_CFG3
Flex10__PA__CFG4 EQU CYREG_UDB_PA2_CFG4
Flex10__PA__CFG5 EQU CYREG_UDB_PA2_CFG5
Flex10__PA__CFG6 EQU CYREG_UDB_PA2_CFG6
Flex10__PA__CFG7 EQU CYREG_UDB_PA2_CFG7
Flex10__PA__CFG8 EQU CYREG_UDB_PA2_CFG8
Flex10__PA__CFG9 EQU CYREG_UDB_PA2_CFG9
Flex10__PC EQU CYREG_PRT2_PC
Flex10__PC2 EQU CYREG_PRT2_PC2
Flex10__PORT EQU 2
Flex10__PS EQU CYREG_PRT2_PS
Flex10__SHIFT EQU 3

/* isr_1ms */
isr_1ms__INTC_CLR_EN_REG EQU CYREG_CM0_ICER
isr_1ms__INTC_CLR_PD_REG EQU CYREG_CM0_ICPR
isr_1ms__INTC_MASK EQU 0x01
isr_1ms__INTC_NUMBER EQU 0
isr_1ms__INTC_PRIOR_MASK EQU 0xC0
isr_1ms__INTC_PRIOR_NUM EQU 3
isr_1ms__INTC_PRIOR_REG EQU CYREG_CM0_IPR0
isr_1ms__INTC_SET_EN_REG EQU CYREG_CM0_ISER
isr_1ms__INTC_SET_PD_REG EQU CYREG_CM0_ISPR

/* ADC_Flex */
ADC_Flex_cy_psoc4_sar__SAR_ANA_TRIM EQU CYREG_SAR_ANA_TRIM
ADC_Flex_cy_psoc4_sar__SAR_AVG_STAT EQU CYREG_SAR_AVG_STAT
ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG00 EQU CYREG_SAR_CHAN_CONFIG00
ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG01 EQU CYREG_SAR_CHAN_CONFIG01
ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG02 EQU CYREG_SAR_CHAN_CONFIG02
ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG03 EQU CYREG_SAR_CHAN_CONFIG03
ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG04 EQU CYREG_SAR_CHAN_CONFIG04
ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG05 EQU CYREG_SAR_CHAN_CONFIG05
ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG06 EQU CYREG_SAR_CHAN_CONFIG06
ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG07 EQU CYREG_SAR_CHAN_CONFIG07
ADC_Flex_cy_psoc4_sar__SAR_CHAN_EN EQU CYREG_SAR_CHAN_EN
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT_VALID EQU CYREG_SAR_CHAN_RESULT_VALID
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT00 EQU CYREG_SAR_CHAN_RESULT00
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT01 EQU CYREG_SAR_CHAN_RESULT01
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT02 EQU CYREG_SAR_CHAN_RESULT02
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT03 EQU CYREG_SAR_CHAN_RESULT03
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT04 EQU CYREG_SAR_CHAN_RESULT04
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT05 EQU CYREG_SAR_CHAN_RESULT05
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT06 EQU CYREG_SAR_CHAN_RESULT06
ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT07 EQU CYREG_SAR_CHAN_RESULT07
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK_VALID EQU CYREG_SAR_CHAN_WORK_VALID
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK00 EQU CYREG_SAR_CHAN_WORK00
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK01 EQU CYREG_SAR_CHAN_WORK01
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK02 EQU CYREG_SAR_CHAN_WORK02
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK03 EQU CYREG_SAR_CHAN_WORK03
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK04 EQU CYREG_SAR_CHAN_WORK04
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK05 EQU CYREG_SAR_CHAN_WORK05
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK06 EQU CYREG_SAR_CHAN_WORK06
ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK07 EQU CYREG_SAR_CHAN_WORK07
ADC_Flex_cy_psoc4_sar__SAR_CTRL EQU CYREG_SAR_CTRL
ADC_Flex_cy_psoc4_sar__SAR_DFT_CTRL EQU CYREG_SAR_DFT_CTRL
ADC_Flex_cy_psoc4_sar__SAR_INTR EQU CYREG_SAR_INTR
ADC_Flex_cy_psoc4_sar__SAR_INTR_CAUSE EQU CYREG_SAR_INTR_CAUSE
ADC_Flex_cy_psoc4_sar__SAR_INTR_MASK EQU CYREG_SAR_INTR_MASK
ADC_Flex_cy_psoc4_sar__SAR_INTR_MASKED EQU CYREG_SAR_INTR_MASKED
ADC_Flex_cy_psoc4_sar__SAR_INTR_SET EQU CYREG_SAR_INTR_SET
ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_CLEAR0 EQU CYREG_SAR_MUX_SWITCH_CLEAR0
ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_CLEAR1 EQU CYREG_SAR_MUX_SWITCH_CLEAR1
ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_HW_CTRL EQU CYREG_SAR_MUX_SWITCH_HW_CTRL
ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_STATUS EQU CYREG_SAR_MUX_SWITCH_STATUS
ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH0 EQU CYREG_SAR_MUX_SWITCH0
ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH1 EQU CYREG_SAR_MUX_SWITCH1
ADC_Flex_cy_psoc4_sar__SAR_NUMBER EQU 0
ADC_Flex_cy_psoc4_sar__SAR_PUMP_CTRL EQU CYREG_SAR_PUMP_CTRL
ADC_Flex_cy_psoc4_sar__SAR_RANGE_COND EQU CYREG_SAR_RANGE_COND
ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR EQU CYREG_SAR_RANGE_INTR
ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_MASK EQU CYREG_SAR_RANGE_INTR_MASK
ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_MASKED EQU CYREG_SAR_RANGE_INTR_MASKED
ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_SET EQU CYREG_SAR_RANGE_INTR_SET
ADC_Flex_cy_psoc4_sar__SAR_RANGE_THRES EQU CYREG_SAR_RANGE_THRES
ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_CTRL EQU CYREG_SAR_SAMPLE_CTRL
ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_TIME01 EQU CYREG_SAR_SAMPLE_TIME01
ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_TIME23 EQU CYREG_SAR_SAMPLE_TIME23
ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR EQU CYREG_SAR_SATURATE_INTR
ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_MASK EQU CYREG_SAR_SATURATE_INTR_MASK
ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_MASKED EQU CYREG_SAR_SATURATE_INTR_MASKED
ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_SET EQU CYREG_SAR_SATURATE_INTR_SET
ADC_Flex_cy_psoc4_sar__SAR_START_CTRL EQU CYREG_SAR_START_CTRL
ADC_Flex_cy_psoc4_sar__SAR_STATUS EQU CYREG_SAR_STATUS
ADC_Flex_cy_psoc4_sar__SAR_WOUNDING EQU CYREG_SAR_WOUNDING
ADC_Flex_intClock__DIVIDER_MASK EQU 0x0000FFFF
ADC_Flex_intClock__ENABLE EQU CYREG_CLK_DIVIDER_C00
ADC_Flex_intClock__ENABLE_MASK EQU 0x80000000
ADC_Flex_intClock__MASK EQU 0x80000000
ADC_Flex_intClock__REGISTER EQU CYREG_CLK_DIVIDER_C00
ADC_Flex_IRQ__INTC_CLR_EN_REG EQU CYREG_CM0_ICER
ADC_Flex_IRQ__INTC_CLR_PD_REG EQU CYREG_CM0_ICPR
ADC_Flex_IRQ__INTC_MASK EQU 0x4000
ADC_Flex_IRQ__INTC_NUMBER EQU 14
ADC_Flex_IRQ__INTC_PRIOR_MASK EQU 0xC00000
ADC_Flex_IRQ__INTC_PRIOR_NUM EQU 3
ADC_Flex_IRQ__INTC_PRIOR_REG EQU CYREG_CM0_IPR3
ADC_Flex_IRQ__INTC_SET_EN_REG EQU CYREG_CM0_ISER
ADC_Flex_IRQ__INTC_SET_PD_REG EQU CYREG_CM0_ISPR

/* Base_Timer */
Base_Timer_TimerUDB_rstSts_stsreg__0__MASK EQU 0x01
Base_Timer_TimerUDB_rstSts_stsreg__0__POS EQU 0
Base_Timer_TimerUDB_rstSts_stsreg__2__MASK EQU 0x04
Base_Timer_TimerUDB_rstSts_stsreg__2__POS EQU 2
Base_Timer_TimerUDB_rstSts_stsreg__3__MASK EQU 0x08
Base_Timer_TimerUDB_rstSts_stsreg__3__POS EQU 3
Base_Timer_TimerUDB_rstSts_stsreg__MASK EQU 0x0D
Base_Timer_TimerUDB_rstSts_stsreg__MASK_REG EQU CYREG_UDB_W8_MSK_03
Base_Timer_TimerUDB_rstSts_stsreg__MASK_ST_AUX_CTL_REG EQU CYREG_UDB_CAT16_ACTL_MSK_03
Base_Timer_TimerUDB_rstSts_stsreg__PER_ST_AUX_CTL_REG EQU CYREG_UDB_CAT16_ACTL_MSK_03
Base_Timer_TimerUDB_rstSts_stsreg__STATUS_AUX_CTL_REG EQU CYREG_UDB_W8_ACTL_03
Base_Timer_TimerUDB_rstSts_stsreg__STATUS_CNT_REG EQU CYREG_UDB_CAT16_CTL_ST_03
Base_Timer_TimerUDB_rstSts_stsreg__STATUS_CONTROL_REG EQU CYREG_UDB_CAT16_CTL_ST_03
Base_Timer_TimerUDB_rstSts_stsreg__STATUS_REG EQU CYREG_UDB_W8_ST_03
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK EQU 0x80
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS EQU 7
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG EQU CYREG_UDB_W8_ACTL_03
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG EQU CYREG_UDB_W8_CTL_03
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG EQU CYREG_UDB_CAT16_CTL_ST_03
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG EQU CYREG_UDB_W8_CTL_03
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG EQU CYREG_UDB_CAT16_CTL_ST_03
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK EQU 0x80
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG EQU CYREG_UDB_CAT16_ACTL_MSK_03
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG EQU CYREG_UDB_CAT16_ACTL_MSK_03
Base_Timer_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG EQU CYREG_UDB_W8_MSK_03
Base_Timer_TimerUDB_sT16_timerdp_u0__16BIT_A0_REG EQU CYREG_UDB_W16_A0_02
Base_Timer_TimerUDB_sT16_timerdp_u0__16BIT_A1_REG EQU CYREG_UDB_W16_A1_02
Base_Timer_TimerUDB_sT16_timerdp_u0__16BIT_D0_REG EQU CYREG_UDB_W16_D0_02
Base_Timer_TimerUDB_sT16_timerdp_u0__16BIT_D1_REG EQU CYREG_UDB_W16_D1_02
Base_Timer_TimerUDB_sT16_timerdp_u0__16BIT_DP_AUX_CTL_REG EQU CYREG_UDB_W16_ACTL_02
Base_Timer_TimerUDB_sT16_timerdp_u0__16BIT_F0_REG EQU CYREG_UDB_W16_F0_02
Base_Timer_TimerUDB_sT16_timerdp_u0__16BIT_F1_REG EQU CYREG_UDB_W16_F1_02
Base_Timer_TimerUDB_sT16_timerdp_u0__A0_A1_REG EQU CYREG_UDB_CAT16_A_02
Base_Timer_TimerUDB_sT16_timerdp_u0__A0_REG EQU CYREG_UDB_W8_A0_02
Base_Timer_TimerUDB_sT16_timerdp_u0__A1_REG EQU CYREG_UDB_W8_A1_02
Base_Timer_TimerUDB_sT16_timerdp_u0__D0_D1_REG EQU CYREG_UDB_CAT16_D_02
Base_Timer_TimerUDB_sT16_timerdp_u0__D0_REG EQU CYREG_UDB_W8_D0_02
Base_Timer_TimerUDB_sT16_timerdp_u0__D1_REG EQU CYREG_UDB_W8_D1_02
Base_Timer_TimerUDB_sT16_timerdp_u0__DP_AUX_CTL_REG EQU CYREG_UDB_W8_ACTL_02
Base_Timer_TimerUDB_sT16_timerdp_u0__F0_F1_REG EQU CYREG_UDB_CAT16_F_02
Base_Timer_TimerUDB_sT16_timerdp_u0__F0_REG EQU CYREG_UDB_W8_F0_02
Base_Timer_TimerUDB_sT16_timerdp_u0__F1_REG EQU CYREG_UDB_W8_F1_02
Base_Timer_TimerUDB_sT16_timerdp_u1__A0_A1_REG EQU CYREG_UDB_CAT16_A_03
Base_Timer_TimerUDB_sT16_timerdp_u1__A0_REG EQU CYREG_UDB_W8_A0_03
Base_Timer_TimerUDB_sT16_timerdp_u1__A1_REG EQU CYREG_UDB_W8_A1_03
Base_Timer_TimerUDB_sT16_timerdp_u1__D0_D1_REG EQU CYREG_UDB_CAT16_D_03
Base_Timer_TimerUDB_sT16_timerdp_u1__D0_REG EQU CYREG_UDB_W8_D0_03
Base_Timer_TimerUDB_sT16_timerdp_u1__D1_REG EQU CYREG_UDB_W8_D1_03
Base_Timer_TimerUDB_sT16_timerdp_u1__DP_AUX_CTL_REG EQU CYREG_UDB_W8_ACTL_03
Base_Timer_TimerUDB_sT16_timerdp_u1__F0_F1_REG EQU CYREG_UDB_CAT16_F_03
Base_Timer_TimerUDB_sT16_timerdp_u1__F0_REG EQU CYREG_UDB_W8_F0_03
Base_Timer_TimerUDB_sT16_timerdp_u1__F1_REG EQU CYREG_UDB_W8_F1_03
Base_Timer_TimerUDB_sT16_timerdp_u1__MSK_DP_AUX_CTL_REG EQU CYREG_UDB_CAT16_ACTL_MSK_03
Base_Timer_TimerUDB_sT16_timerdp_u1__PER_DP_AUX_CTL_REG EQU CYREG_UDB_CAT16_ACTL_MSK_03

/* EZI2C_Flex */
EZI2C_Flex_SCB__BIST_CONTROL EQU CYREG_SCB0_BIST_CONTROL
EZI2C_Flex_SCB__BIST_DATA EQU CYREG_SCB0_BIST_DATA
EZI2C_Flex_SCB__CTRL EQU CYREG_SCB0_CTRL
EZI2C_Flex_SCB__EZ_DATA00 EQU CYREG_SCB0_EZ_DATA00
EZI2C_Flex_SCB__EZ_DATA01 EQU CYREG_SCB0_EZ_DATA01
EZI2C_Flex_SCB__EZ_DATA02 EQU CYREG_SCB0_EZ_DATA02
EZI2C_Flex_SCB__EZ_DATA03 EQU CYREG_SCB0_EZ_DATA03
EZI2C_Flex_SCB__EZ_DATA04 EQU CYREG_SCB0_EZ_DATA04
EZI2C_Flex_SCB__EZ_DATA05 EQU CYREG_SCB0_EZ_DATA05
EZI2C_Flex_SCB__EZ_DATA06 EQU CYREG_SCB0_EZ_DATA06
EZI2C_Flex_SCB__EZ_DATA07 EQU CYREG_SCB0_EZ_DATA07
EZI2C_Flex_SCB__EZ_DATA08 EQU CYREG_SCB0_EZ_DATA08
EZI2C_Flex_SCB__EZ_DATA09 EQU CYREG_SCB0_EZ_DATA09
EZI2C_Flex_SCB__EZ_DATA10 EQU CYREG_SCB0_EZ_DATA10
EZI2C_Flex_SCB__EZ_DATA11 EQU CYREG_SCB0_EZ_DATA11
EZI2C_Flex_SCB__EZ_DATA12 EQU CYREG_SCB0_EZ_DATA12
EZI2C_Flex_SCB__EZ_DATA13 EQU CYREG_SCB0_EZ_DATA13
EZI2C_Flex_SCB__EZ_DATA14 EQU CYREG_SCB0_EZ_DATA14
EZI2C_Flex_SCB__EZ_DATA15 EQU CYREG_SCB0_EZ_DATA15
EZI2C_Flex_SCB__EZ_DATA16 EQU CYREG_SCB0_EZ_DATA16
EZI2C_Flex_SCB__EZ_DATA17 EQU CYREG_SCB0_EZ_DATA17
EZI2C_Flex_SCB__EZ_DATA18 EQU CYREG_SCB0_EZ_DATA18
EZI2C_Flex_SCB__EZ_DATA19 EQU CYREG_SCB0_EZ_DATA19
EZI2C_Flex_SCB__EZ_DATA20 EQU CYREG_SCB0_EZ_DATA20
EZI2C_Flex_SCB__EZ_DATA21 EQU CYREG_SCB0_EZ_DATA21
EZI2C_Flex_SCB__EZ_DATA22 EQU CYREG_SCB0_EZ_DATA22
EZI2C_Flex_SCB__EZ_DATA23 EQU CYREG_SCB0_EZ_DATA23
EZI2C_Flex_SCB__EZ_DATA24 EQU CYREG_SCB0_EZ_DATA24
EZI2C_Flex_SCB__EZ_DATA25 EQU CYREG_SCB0_EZ_DATA25
EZI2C_Flex_SCB__EZ_DATA26 EQU CYREG_SCB0_EZ_DATA26
EZI2C_Flex_SCB__EZ_DATA27 EQU CYREG_SCB0_EZ_DATA27
EZI2C_Flex_SCB__EZ_DATA28 EQU CYREG_SCB0_EZ_DATA28
EZI2C_Flex_SCB__EZ_DATA29 EQU CYREG_SCB0_EZ_DATA29
EZI2C_Flex_SCB__EZ_DATA30 EQU CYREG_SCB0_EZ_DATA30
EZI2C_Flex_SCB__EZ_DATA31 EQU CYREG_SCB0_EZ_DATA31
EZI2C_Flex_SCB__I2C_CFG EQU CYREG_SCB0_I2C_CFG
EZI2C_Flex_SCB__I2C_CTRL EQU CYREG_SCB0_I2C_CTRL
EZI2C_Flex_SCB__I2C_M_CMD EQU CYREG_SCB0_I2C_M_CMD
EZI2C_Flex_SCB__I2C_S_CMD EQU CYREG_SCB0_I2C_S_CMD
EZI2C_Flex_SCB__I2C_STATUS EQU CYREG_SCB0_I2C_STATUS
EZI2C_Flex_SCB__INTR_CAUSE EQU CYREG_SCB0_INTR_CAUSE
EZI2C_Flex_SCB__INTR_I2C_EC EQU CYREG_SCB0_INTR_I2C_EC
EZI2C_Flex_SCB__INTR_I2C_EC_MASK EQU CYREG_SCB0_INTR_I2C_EC_MASK
EZI2C_Flex_SCB__INTR_I2C_EC_MASKED EQU CYREG_SCB0_INTR_I2C_EC_MASKED
EZI2C_Flex_SCB__INTR_M EQU CYREG_SCB0_INTR_M
EZI2C_Flex_SCB__INTR_M_MASK EQU CYREG_SCB0_INTR_M_MASK
EZI2C_Flex_SCB__INTR_M_MASKED EQU CYREG_SCB0_INTR_M_MASKED
EZI2C_Flex_SCB__INTR_M_SET EQU CYREG_SCB0_INTR_M_SET
EZI2C_Flex_SCB__INTR_RX EQU CYREG_SCB0_INTR_RX
EZI2C_Flex_SCB__INTR_RX_MASK EQU CYREG_SCB0_INTR_RX_MASK
EZI2C_Flex_SCB__INTR_RX_MASKED EQU CYREG_SCB0_INTR_RX_MASKED
EZI2C_Flex_SCB__INTR_RX_SET EQU CYREG_SCB0_INTR_RX_SET
EZI2C_Flex_SCB__INTR_S EQU CYREG_SCB0_INTR_S
EZI2C_Flex_SCB__INTR_S_MASK EQU CYREG_SCB0_INTR_S_MASK
EZI2C_Flex_SCB__INTR_S_MASKED EQU CYREG_SCB0_INTR_S_MASKED
EZI2C_Flex_SCB__INTR_S_SET EQU CYREG_SCB0_INTR_S_SET
EZI2C_Flex_SCB__INTR_SPI_EC EQU CYREG_SCB0_INTR_SPI_EC
EZI2C_Flex_SCB__INTR_SPI_EC_MASK EQU CYREG_SCB0_INTR_SPI_EC_MASK
EZI2C_Flex_SCB__INTR_SPI_EC_MASKED EQU CYREG_SCB0_INTR_SPI_EC_MASKED
EZI2C_Flex_SCB__INTR_TX EQU CYREG_SCB0_INTR_TX
EZI2C_Flex_SCB__INTR_TX_MASK EQU CYREG_SCB0_INTR_TX_MASK
EZI2C_Flex_SCB__INTR_TX_MASKED EQU CYREG_SCB0_INTR_TX_MASKED
EZI2C_Flex_SCB__INTR_TX_SET EQU CYREG_SCB0_INTR_TX_SET
EZI2C_Flex_SCB__RX_CTRL EQU CYREG_SCB0_RX_CTRL
EZI2C_Flex_SCB__RX_FIFO_CTRL EQU CYREG_SCB0_RX_FIFO_CTRL
EZI2C_Flex_SCB__RX_FIFO_RD EQU CYREG_SCB0_RX_FIFO_RD
EZI2C_Flex_SCB__RX_FIFO_RD_SILENT EQU CYREG_SCB0_RX_FIFO_RD_SILENT
EZI2C_Flex_SCB__RX_FIFO_STATUS EQU CYREG_SCB0_RX_FIFO_STATUS
EZI2C_Flex_SCB__RX_MATCH EQU CYREG_SCB0_RX_MATCH
EZI2C_Flex_SCB__SPI_CTRL EQU CYREG_SCB0_SPI_CTRL
EZI2C_Flex_SCB__SPI_STATUS EQU CYREG_SCB0_SPI_STATUS
EZI2C_Flex_SCB__SS0_POSISTION EQU 0
EZI2C_Flex_SCB__SS1_POSISTION EQU 1
EZI2C_Flex_SCB__SS2_POSISTION EQU 2
EZI2C_Flex_SCB__SS3_POSISTION EQU 3
EZI2C_Flex_SCB__STATUS EQU CYREG_SCB0_STATUS
EZI2C_Flex_SCB__TX_CTRL EQU CYREG_SCB0_TX_CTRL
EZI2C_Flex_SCB__TX_FIFO_CTRL EQU CYREG_SCB0_TX_FIFO_CTRL
EZI2C_Flex_SCB__TX_FIFO_STATUS EQU CYREG_SCB0_TX_FIFO_STATUS
EZI2C_Flex_SCB__TX_FIFO_WR EQU CYREG_SCB0_TX_FIFO_WR
EZI2C_Flex_SCB__UART_CTRL EQU CYREG_SCB0_UART_CTRL
EZI2C_Flex_SCB__UART_RX_CTRL EQU CYREG_SCB0_UART_RX_CTRL
EZI2C_Flex_SCB__UART_RX_STATUS EQU CYREG_SCB0_UART_RX_STATUS
EZI2C_Flex_SCB__UART_TX_CTRL EQU CYREG_SCB0_UART_TX_CTRL
EZI2C_Flex_SCB_IRQ__INTC_CLR_EN_REG EQU CYREG_CM0_ICER
EZI2C_Flex_SCB_IRQ__INTC_CLR_PD_REG EQU CYREG_CM0_ICPR
EZI2C_Flex_SCB_IRQ__INTC_MASK EQU 0x400
EZI2C_Flex_SCB_IRQ__INTC_NUMBER EQU 10
EZI2C_Flex_SCB_IRQ__INTC_PRIOR_MASK EQU 0xC00000
EZI2C_Flex_SCB_IRQ__INTC_PRIOR_NUM EQU 3
EZI2C_Flex_SCB_IRQ__INTC_PRIOR_REG EQU CYREG_CM0_IPR2
EZI2C_Flex_SCB_IRQ__INTC_SET_EN_REG EQU CYREG_CM0_ISER
EZI2C_Flex_SCB_IRQ__INTC_SET_PD_REG EQU CYREG_CM0_ISPR
EZI2C_Flex_SCBCLK__DIVIDER_MASK EQU 0x0000FFFF
EZI2C_Flex_SCBCLK__ENABLE EQU CYREG_CLK_DIVIDER_B00
EZI2C_Flex_SCBCLK__ENABLE_MASK EQU 0x80000000
EZI2C_Flex_SCBCLK__MASK EQU 0x80000000
EZI2C_Flex_SCBCLK__REGISTER EQU CYREG_CLK_DIVIDER_B00
EZI2C_Flex_scl__0__DM__MASK EQU 0x07
EZI2C_Flex_scl__0__DM__SHIFT EQU 0
EZI2C_Flex_scl__0__DR EQU CYREG_PRT4_DR
EZI2C_Flex_scl__0__HSIOM EQU CYREG_HSIOM_PORT_SEL4
EZI2C_Flex_scl__0__HSIOM_GPIO EQU 0
EZI2C_Flex_scl__0__HSIOM_I2C EQU 14
EZI2C_Flex_scl__0__HSIOM_I2C_SCL EQU 14
EZI2C_Flex_scl__0__HSIOM_MASK EQU 0x0000000F
EZI2C_Flex_scl__0__HSIOM_SHIFT EQU 0
EZI2C_Flex_scl__0__HSIOM_SPI EQU 15
EZI2C_Flex_scl__0__HSIOM_SPI_MOSI EQU 15
EZI2C_Flex_scl__0__HSIOM_UART EQU 9
EZI2C_Flex_scl__0__HSIOM_UART_RX EQU 9
EZI2C_Flex_scl__0__INTCFG EQU CYREG_PRT4_INTCFG
EZI2C_Flex_scl__0__INTSTAT EQU CYREG_PRT4_INTSTAT
EZI2C_Flex_scl__0__MASK EQU 0x01
EZI2C_Flex_scl__0__PC EQU CYREG_PRT4_PC
EZI2C_Flex_scl__0__PC2 EQU CYREG_PRT4_PC2
EZI2C_Flex_scl__0__PORT EQU 4
EZI2C_Flex_scl__0__PS EQU CYREG_PRT4_PS
EZI2C_Flex_scl__0__SHIFT EQU 0
EZI2C_Flex_scl__DR EQU CYREG_PRT4_DR
EZI2C_Flex_scl__INTCFG EQU CYREG_PRT4_INTCFG
EZI2C_Flex_scl__INTSTAT EQU CYREG_PRT4_INTSTAT
EZI2C_Flex_scl__MASK EQU 0x01
EZI2C_Flex_scl__PC EQU CYREG_PRT4_PC
EZI2C_Flex_scl__PC2 EQU CYREG_PRT4_PC2
EZI2C_Flex_scl__PORT EQU 4
EZI2C_Flex_scl__PS EQU CYREG_PRT4_PS
EZI2C_Flex_scl__SHIFT EQU 0
EZI2C_Flex_sda__0__DM__MASK EQU 0x38
EZI2C_Flex_sda__0__DM__SHIFT EQU 3
EZI2C_Flex_sda__0__DR EQU CYREG_PRT4_DR
EZI2C_Flex_sda__0__HSIOM EQU CYREG_HSIOM_PORT_SEL4
EZI2C_Flex_sda__0__HSIOM_GPIO EQU 0
EZI2C_Flex_sda__0__HSIOM_I2C EQU 14
EZI2C_Flex_sda__0__HSIOM_I2C_SDA EQU 14
EZI2C_Flex_sda__0__HSIOM_MASK EQU 0x000000F0
EZI2C_Flex_sda__0__HSIOM_SHIFT EQU 4
EZI2C_Flex_sda__0__HSIOM_SPI EQU 15
EZI2C_Flex_sda__0__HSIOM_SPI_MISO EQU 15
EZI2C_Flex_sda__0__HSIOM_UART EQU 9
EZI2C_Flex_sda__0__HSIOM_UART_TX EQU 9
EZI2C_Flex_sda__0__INTCFG EQU CYREG_PRT4_INTCFG
EZI2C_Flex_sda__0__INTSTAT EQU CYREG_PRT4_INTSTAT
EZI2C_Flex_sda__0__MASK EQU 0x02
EZI2C_Flex_sda__0__PC EQU CYREG_PRT4_PC
EZI2C_Flex_sda__0__PC2 EQU CYREG_PRT4_PC2
EZI2C_Flex_sda__0__PORT EQU 4
EZI2C_Flex_sda__0__PS EQU CYREG_PRT4_PS
EZI2C_Flex_sda__0__SHIFT EQU 1
EZI2C_Flex_sda__DR EQU CYREG_PRT4_DR
EZI2C_Flex_sda__INTCFG EQU CYREG_PRT4_INTCFG
EZI2C_Flex_sda__INTSTAT EQU CYREG_PRT4_INTSTAT
EZI2C_Flex_sda__MASK EQU 0x02
EZI2C_Flex_sda__PC EQU CYREG_PRT4_PC
EZI2C_Flex_sda__PC2 EQU CYREG_PRT4_PC2
EZI2C_Flex_sda__PORT EQU 4
EZI2C_Flex_sda__PS EQU CYREG_PRT4_PS
EZI2C_Flex_sda__SHIFT EQU 1

/* timer_clock */
timer_clock__DIVIDER_MASK EQU 0x0000FFFF
timer_clock__ENABLE EQU CYREG_CLK_DIVIDER_A00
timer_clock__ENABLE_MASK EQU 0x80000000
timer_clock__MASK EQU 0x80000000
timer_clock__REGISTER EQU CYREG_CLK_DIVIDER_A00

/* Miscellaneous */
CYDEV_BCLK__HFCLK__HZ EQU 24000000
CYDEV_BCLK__HFCLK__KHZ EQU 24000
CYDEV_BCLK__HFCLK__MHZ EQU 24
CYDEV_BCLK__SYSCLK__HZ EQU 24000000
CYDEV_BCLK__SYSCLK__KHZ EQU 24000
CYDEV_BCLK__SYSCLK__MHZ EQU 24
CYDEV_CHIP_DIE_LEOPARD EQU 1
CYDEV_CHIP_DIE_PSOC4A EQU 26
CYDEV_CHIP_DIE_PSOC5LP EQU 2
CYDEV_CHIP_DIE_PSOC5TM EQU 3
CYDEV_CHIP_DIE_TMA4 EQU 4
CYDEV_CHIP_DIE_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_FM0P EQU 5
CYDEV_CHIP_FAMILY_FM3 EQU 6
CYDEV_CHIP_FAMILY_FM4 EQU 7
CYDEV_CHIP_FAMILY_PSOC3 EQU 1
CYDEV_CHIP_FAMILY_PSOC4 EQU 2
CYDEV_CHIP_FAMILY_PSOC5 EQU 3
CYDEV_CHIP_FAMILY_PSOC6 EQU 4
CYDEV_CHIP_FAMILY_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_USED EQU CYDEV_CHIP_FAMILY_PSOC4
CYDEV_CHIP_JTAG_ID EQU 0x04A61193
CYDEV_CHIP_MEMBER_3A EQU 1
CYDEV_CHIP_MEMBER_4A EQU 26
CYDEV_CHIP_MEMBER_4AA EQU 25
CYDEV_CHIP_MEMBER_4AB EQU 30
CYDEV_CHIP_MEMBER_4AC EQU 14
CYDEV_CHIP_MEMBER_4AD EQU 15
CYDEV_CHIP_MEMBER_4AE EQU 16
CYDEV_CHIP_MEMBER_4D EQU 20
CYDEV_CHIP_MEMBER_4E EQU 6
CYDEV_CHIP_MEMBER_4F EQU 27
CYDEV_CHIP_MEMBER_4G EQU 4
CYDEV_CHIP_MEMBER_4H EQU 24
CYDEV_CHIP_MEMBER_4I EQU 32
CYDEV_CHIP_MEMBER_4J EQU 21
CYDEV_CHIP_MEMBER_4K EQU 22
CYDEV_CHIP_MEMBER_4L EQU 31
CYDEV_CHIP_MEMBER_4M EQU 29
CYDEV_CHIP_MEMBER_4N EQU 11
CYDEV_CHIP_MEMBER_4O EQU 8
CYDEV_CHIP_MEMBER_4P EQU 28
CYDEV_CHIP_MEMBER_4Q EQU 17
CYDEV_CHIP_MEMBER_4R EQU 9
CYDEV_CHIP_MEMBER_4S EQU 12
CYDEV_CHIP_MEMBER_4T EQU 10
CYDEV_CHIP_MEMBER_4U EQU 5
CYDEV_CHIP_MEMBER_4V EQU 23
CYDEV_CHIP_MEMBER_4W EQU 13
CYDEV_CHIP_MEMBER_4X EQU 7
CYDEV_CHIP_MEMBER_4Y EQU 18
CYDEV_CHIP_MEMBER_4Z EQU 19
CYDEV_CHIP_MEMBER_5A EQU 3
CYDEV_CHIP_MEMBER_5B EQU 2
CYDEV_CHIP_MEMBER_6A EQU 33
CYDEV_CHIP_MEMBER_FM3 EQU 37
CYDEV_CHIP_MEMBER_FM4 EQU 38
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1 EQU 34
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2 EQU 35
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3 EQU 36
CYDEV_CHIP_MEMBER_UNKNOWN EQU 0
CYDEV_CHIP_MEMBER_USED EQU CYDEV_CHIP_MEMBER_4A
CYDEV_CHIP_DIE_EXPECT EQU CYDEV_CHIP_MEMBER_USED
CYDEV_CHIP_DIE_ACTUAL EQU CYDEV_CHIP_DIE_EXPECT
CYDEV_CHIP_REV_LEOPARD_ES1 EQU 0
CYDEV_CHIP_REV_LEOPARD_ES2 EQU 1
CYDEV_CHIP_REV_LEOPARD_ES3 EQU 3
CYDEV_CHIP_REV_LEOPARD_PRODUCTION EQU 3
CYDEV_CHIP_REV_PSOC4A_ES0 EQU 17
CYDEV_CHIP_REV_PSOC4A_PRODUCTION EQU 17
CYDEV_CHIP_REV_PSOC5LP_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5LP_PRODUCTION EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES1 EQU 1
CYDEV_CHIP_REV_PSOC5TM_PRODUCTION EQU 1
CYDEV_CHIP_REV_TMA4_ES EQU 17
CYDEV_CHIP_REV_TMA4_ES2 EQU 33
CYDEV_CHIP_REV_TMA4_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_3A_ES1 EQU 0
CYDEV_CHIP_REVISION_3A_ES2 EQU 1
CYDEV_CHIP_REVISION_3A_ES3 EQU 3
CYDEV_CHIP_REVISION_3A_PRODUCTION EQU 3
CYDEV_CHIP_REVISION_4A_ES0 EQU 17
CYDEV_CHIP_REVISION_4A_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4AA_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AB_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AC_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AD_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AE_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4D_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD EQU 0
CYDEV_CHIP_REVISION_4E_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256K EQU 0
CYDEV_CHIP_REVISION_4G_ES EQU 17
CYDEV_CHIP_REVISION_4G_ES2 EQU 33
CYDEV_CHIP_REVISION_4G_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4H_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4I_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4J_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4K_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4L_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4M_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4N_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4O_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4P_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Q_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4R_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4S_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4T_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4U_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4V_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4W_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4X_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Y_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Z_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_5A_ES0 EQU 0
CYDEV_CHIP_REVISION_5A_ES1 EQU 1
CYDEV_CHIP_REVISION_5A_PRODUCTION EQU 1
CYDEV_CHIP_REVISION_5B_ES0 EQU 0
CYDEV_CHIP_REVISION_5B_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_6A_ES EQU 17
CYDEV_CHIP_REVISION_6A_NO_UDB EQU 33
CYDEV_CHIP_REVISION_6A_PRODUCTION EQU 33
CYDEV_CHIP_REVISION_FM3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_FM4_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_USED EQU CYDEV_CHIP_REVISION_4A_PRODUCTION
CYDEV_CHIP_REV_EXPECT EQU CYDEV_CHIP_REVISION_USED
CYDEV_CONFIG_READ_ACCELERATOR EQU 1
CYDEV_CONFIG_UNUSED_IO_AllowButWarn EQU 0
CYDEV_CONFIG_UNUSED_IO_AllowWithInfo EQU 1
CYDEV_CONFIG_UNUSED_IO_Disallowed EQU 2
CYDEV_CONFIG_UNUSED_IO EQU CYDEV_CONFIG_UNUSED_IO_Disallowed
CYDEV_CONFIGURATION_COMPRESSED EQU 1
CYDEV_CONFIGURATION_MODE_COMPRESSED EQU 0
CYDEV_CONFIGURATION_MODE EQU CYDEV_CONFIGURATION_MODE_COMPRESSED
CYDEV_CONFIGURATION_MODE_DMA EQU 2
CYDEV_CONFIGURATION_MODE_UNCOMPRESSED EQU 1
CYDEV_DEBUG_PROTECT_KILL EQU 4
CYDEV_DEBUG_PROTECT_OPEN EQU 1
CYDEV_DEBUG_PROTECT EQU CYDEV_DEBUG_PROTECT_OPEN
CYDEV_DEBUG_PROTECT_PROTECTED EQU 2
CYDEV_DEBUGGING_DPS_Disable EQU 3
CYDEV_DEBUGGING_DPS_SWD EQU 2
CYDEV_DEBUGGING_DPS EQU CYDEV_DEBUGGING_DPS_SWD
CYDEV_DEBUGGING_ENABLE EQU 1
CYDEV_DFT_SELECT_CLK0 EQU 1
CYDEV_DFT_SELECT_CLK1 EQU 2
CYDEV_HEAP_SIZE EQU 0x80
CYDEV_IMO_TRIMMED_BY_USB EQU 0
CYDEV_IMO_TRIMMED_BY_WCO EQU 0
CYDEV_IS_EXPORTING_CODE EQU 0
CYDEV_IS_IMPORTING_CODE EQU 0
CYDEV_PROJ_TYPE EQU 0
CYDEV_PROJ_TYPE_BOOTLOADER EQU 1
CYDEV_PROJ_TYPE_LAUNCHER EQU 5
CYDEV_PROJ_TYPE_LOADABLE EQU 2
CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER EQU 4
CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER EQU 3
CYDEV_PROJ_TYPE_STANDARD EQU 0
CYDEV_STACK_SIZE EQU 0x0400
CYDEV_USE_BUNDLED_CMSIS EQU 1
CYDEV_VARIABLE_VDDA EQU 1
CYDEV_VDD_MV EQU 3300
CYDEV_WDT_GENERATE_ISR EQU 1
CYIPBLOCK_M0S8_CTBM_VERSION EQU 0
CYIPBLOCK_m0s8cpuss_VERSION EQU 0
CYIPBLOCK_m0s8csd_VERSION EQU 0
CYIPBLOCK_m0s8gpio2_VERSION EQU 0
CYIPBLOCK_m0s8hsiom4a_VERSION EQU 0
CYIPBLOCK_m0s8lcd_VERSION EQU 0
CYIPBLOCK_m0s8lpcomp_VERSION EQU 0
CYIPBLOCK_m0s8pclk_VERSION EQU 0
CYIPBLOCK_m0s8sar_VERSION EQU 0
CYIPBLOCK_m0s8scb_VERSION EQU 0
CYIPBLOCK_m0s8srssv2_VERSION EQU 1
CYIPBLOCK_m0s8tcpwm_VERSION EQU 0
CYIPBLOCK_m0s8udbif_VERSION EQU 0
CYIPBLOCK_S8_GPIO_VERSION EQU 2
CYDEV_BOOTLOADER_ENABLE EQU 0

#endif /* INCLUDED_CYFITTERIAR_INC */
